# The MongoDB\Driver\Exception\CommandException class

(mongodb >= 1.5.0)

## Introduction

Thrown when a command fails.

## Class synopsis

MongoDB\Driver\Exception\CommandException extends MongoDB\Driver\Exception\ServerException implements MongoDB\Driver\Exception\Exception {
/* Properties */
protected object $resultDocument ;
/* Inherited properties */
protected bool $errorLabels ;
protected string $message ;
protected int $code ;
protected string $file ;
protected int $line ;
/* Methods */
final public getResultDocument ( void ) : object
/* Inherited methods */
final public MongoDB\Driver\Exception\RuntimeException::hasErrorLabel ( string `$errorLabel` ) : bool
final public Exception::getMessage ( void ) : string
final public Exception::getPrevious ( void ) : Throwable
final public Exception::getCode ( void ) : mixed
final public Exception::getFile ( void ) : string
final public Exception::getLine ( void ) : int
final public Exception::getTrace ( void ) : array
final public Exception::getTraceAsString ( void ) : string
public Exception::__toString ( void ) : string
final private Exception::__clone ( void ) : void
}

## Properties

resultDocument

  The result document associated with the failed command.

## Table of Contents

- MongoDB\Driver\Exception\CommandException::getResultDocument — Returns the result document for the failed command